petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscClassRegLogGetClass

This function returns the class corresponding to a given classid.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscClassRegLogGetClass(PetscClassRegLog classLog, PetscClassId classid, int *oclass)

Not Collective

### Input Parameters

| classLog | - The PetscClassRegLog
| classid | - The cookie

### Output Parameter

oclass -The class id

### Keywords

log, class, register

### See Also

PetscClassIdRegister(), PetscLogObjCreateDefault(), PetscLogObjDestroyDefault()

### Level

developer

### Location

src/sys/logging/utils/classlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages